VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "IPicInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' PicInfo IPicInfo interface
' ©2006 Aivosto Oy (www.aivosto.com)
'
' This file is part of a sample project for Project Analyzer.
' Distribution of this file is only allowed along with Project Analyzer
' according to the Project Analyzer license terms.

Option Explicit


' Type for picture size
Public Type TPicSize
    Width As Long   ' Picture width in pixels
    Height As Long  ' Picture height in pixels
End Type

Public Property Get Filename() As String
Attribute Filename.VB_Description = "Returns the filename used in the previous call to ReadFile"
' Returns the filename used in the previous call to ReadFile

End Property


Public Property Get MaxColors() As Variant
Attribute MaxColors.VB_Description = "Returns the maximum number of colors possible to represent in picture"
' Returns the maximum number of colors possible to represent in picture.
' Return value:
' The return value is always numeric. The maximum value may exceed
' the size of the Long data type, therefore we use the Variant data type.

End Property

Public Function ReadFile(ByVal Filename As String) As Boolean
Attribute ReadFile.VB_Description = "Read a picture file to retrieve picture information"
' Read a picture file to retrieve picture information
' [Filename] File to read
' Return value:
' True - Picture information retrieved
' False - Error, information not retrieved

End Function

Public Property Get Size() As TPicSize
Attribute Size.VB_Description = "Returns picture width and height in pixels"
' Returns picture width and height in pixels

End Property


